diff options
author | Rob Landley <rob@landley.net> | 2006-03-16 16:02:06 +0000 |
---|---|---|
committer | Rob Landley <rob@landley.net> | 2006-03-16 16:02:06 +0000 |
commit | 2824ded677802d8afd99d5d17543665491803486 (patch) | |
tree | 91e8c038b5c9f693067a1346784bcba69d023ba6 | |
parent | 4bb1b04fd1d7d6fe410e1af14816d11da456aac5 (diff) | |
download | busybox-w32-2824ded677802d8afd99d5d17543665491803486.tar.gz busybox-w32-2824ded677802d8afd99d5d17543665491803486.tar.bz2 busybox-w32-2824ded677802d8afd99d5d17543665491803486.zip |
More test updates.
-rwxr-xr-x | testsuite/runtest | 31 | ||||
-rwxr-xr-x | testsuite/seq.tests | 25 |
2 files changed, 30 insertions, 26 deletions
diff --git a/testsuite/runtest b/testsuite/runtest index b1f07fbae..b8c6c77cb 100755 --- a/testsuite/runtest +++ b/testsuite/runtest | |||
@@ -4,7 +4,9 @@ | |||
4 | [ -n "$bindir" ] || bindir=$(dirname $(pwd)) | 4 | [ -n "$bindir" ] || bindir=$(dirname $(pwd)) |
5 | PATH=$bindir:$PATH | 5 | PATH=$bindir:$PATH |
6 | 6 | ||
7 | run_applet_testcase () | 7 | # Run old-style test. |
8 | |||
9 | function run_applet_testcase | ||
8 | { | 10 | { |
9 | local applet=$1 | 11 | local applet=$1 |
10 | local testcase=$2 | 12 | local testcase=$2 |
@@ -91,6 +93,16 @@ else | |||
91 | applets=$(ls $srcdir) | 93 | applets=$(ls $srcdir) |
92 | fi | 94 | fi |
93 | 95 | ||
96 | # Populate a directory with links to all busybox applets | ||
97 | |||
98 | LINKSDIR="${bindir}/runtest-tempdir-links" | ||
99 | rm -rf "$LINKSDIR" 2>/dev/null | ||
100 | mkdir "$LINKSDIR" | ||
101 | for i in $(sed 's@/[a-z0-9/\[]*/@@' $bindir/busybox.links) | ||
102 | do | ||
103 | ln -s $bindir/busybox "$LINKSDIR"/$i | ||
104 | done | ||
105 | |||
94 | # Set up option flags so tests can be selective. | 106 | # Set up option flags so tests can be selective. |
95 | 107 | ||
96 | configfile=${bindir:-../../}/.config | 108 | configfile=${bindir:-../../}/.config |
@@ -110,25 +122,16 @@ for applet in $applets; do | |||
110 | applet=$(echo "$applet" | sed -n 's/\.tests$//p') | 122 | applet=$(echo "$applet" | sed -n 's/\.tests$//p') |
111 | if [ ${#applet} -ne 0 ] | 123 | if [ ${#applet} -ne 0 ] |
112 | then | 124 | then |
113 | appcfg=`grep -i "^# CONFIG_$applet" $configfile` | 125 | if [ ! -h "$LINKSDIR/$applet" ] |
114 | if [ -n "$appcfg" ] | ||
115 | then | 126 | then |
116 | echo "SKIPPED: $applet (is configured out)" | 127 | echo "SKIPPED: $applet (not built)" |
117 | continue | 128 | continue |
118 | fi | 129 | fi |
119 | # Setup environment for test. | 130 | PATH="$LINKSDIR":$srcdir:$bindir:$PATH \ |
120 | if [ -d links ]; then | ||
121 | rm -f links/"$applet" | ||
122 | else | ||
123 | mkdir links 2> /dev/null | ||
124 | fi | ||
125 | ln -s ${bindir:-../..}/busybox links/"$applet" | ||
126 | PATH="$srcdir:$PATH" COMMAND="links/$applet" \ | ||
127 | "${srcdir:-.}/$applet".tests | 131 | "${srcdir:-.}/$applet".tests |
128 | if [ $? -ne 0 ]; then status=1; fi | 132 | if [ $? -ne 0 ]; then status=1; fi |
129 | fi | 133 | fi |
130 | 134 | ||
131 | done | 135 | done |
132 | rm -f links/* | 136 | rm -rf "$LINKSDIR" |
133 | rmdir links | ||
134 | exit $status | 137 | exit $status |
diff --git a/testsuite/seq.tests b/testsuite/seq.tests index b40a6b54d..fd6f33afe 100755 --- a/testsuite/seq.tests +++ b/testsuite/seq.tests | |||
@@ -15,17 +15,18 @@ | |||
15 | 15 | ||
16 | # Test exit status | 16 | # Test exit status |
17 | 17 | ||
18 | testing "seq (exit with error)" "2> /dev/null || echo yes" "yes\n" "" "" | 18 | testing "seq (exit with error)" "seq 2> /dev/null || echo yes" "yes\n" "" "" |
19 | testing "seq (exit with error)" "1 2 3 4 2> /dev/null || echo yes" "yes\n" "" "" | 19 | testing "seq (exit with error)" "seq 1 2 3 4 2> /dev/null || echo yes" \ |
20 | testing "seq one argument" "3" "1\n2\n3\n" "" "" | 20 | "yes\n" "" "" |
21 | testing "seq two arguments" "5 7" "5\n6\n7\n" "" "" | 21 | testing "seq one argument" "seq 3" "1\n2\n3\n" "" "" |
22 | testing "seq two arguments reversed" "7 5" "" "" "" | 22 | testing "seq two arguments" "seq 5 7" "5\n6\n7\n" "" "" |
23 | testing "seq count up by 2" "4 2 8" "4\n6\n8\n" "" "" | 23 | testing "seq two arguments reversed" "seq 7 5" "" "" "" |
24 | testing "seq count down by 2" "8 -2 4" "8\n6\n4\n" "" "" | 24 | testing "seq count up by 2" "seq 4 2 8" "4\n6\n8\n" "" "" |
25 | testing "seq count wrong way #1" "4 -2 8" "" "" "" | 25 | testing "seq count down by 2" "seq 8 -2 4" "8\n6\n4\n" "" "" |
26 | testing "seq count wrong way #2" "8 2 4" "" "" "" | 26 | testing "seq count wrong way #1" "seq 4 -2 8" "" "" "" |
27 | testing "seq count by .3" "3 .3 4" "3\n3.3\n3.6\n3.9\n" "" "" | 27 | testing "seq count wrong way #2" "seq 8 2 4" "" "" "" |
28 | testing "seq count by -.9" ".7 -.9 -2.2" "0.7\n-0.2\n-1.1\n-2\n" "" "" | 28 | testing "seq count by .3" "seq 3 .3 4" "3\n3.3\n3.6\n3.9\n" "" "" |
29 | testing "seq count by zero" "4 0 8 | head -n 10" "" "" "" | 29 | testing "seq count by -.9" "seq .7 -.9 -2.2" "0.7\n-0.2\n-1.1\n-2\n" "" "" |
30 | testing "seq count by zero" "seq 4 0 8 | head -n 10" "" "" "" | ||
30 | 31 | ||
31 | exit $FAILCOUNT | 32 | exit $FAILCOUNT |